1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Updating RKHunter & Plesk 10.1.1

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by GordonM, Feb 7, 2011.

  1. GordonM

    GordonM Guest

    0
     
    I have Rootkit Hunter version 1.3.4 and the latest version as rkhunter website states is 1.3.8

    How can I update rkhunter if the package is included in watchdog?

    Any help would be appreciated

    Thanks
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
    I'm not sure but you can try to replace files which you can find with

    # rpm -ql psa-watchdog | grep rkhunter

    with new.
     
  3. RayvanS

    RayvanS New Pleskian

    13
    30%
    Joined:
    Nov 7, 2011
    Messages:
    13
    Likes Received:
    0
    ...how is that instruction updating anything? it give a listing, that's it..
    is there anyway to update this. these versions are getting way to old, same with docter web. even one year later no updates?!
     
  4. frg62

    frg62 Basic Pleskian

    25
    23%
    Joined:
    Jul 16, 2008
    Messages:
    33
    Likes Received:
    1
    FYI, I just tried replacing the file:
    /usr/local/psa/admin/sbin/modules/watchdog/rkhunter

    With the 1.3.8 version.

    If I launch rkhunter in SSH:

    /usr/local/psa/admin/sbin/modules/watchdog/rkhunter --update
    /usr/local/psa/admin/sbin/modules/watchdog/rkhunter -c --createlogfile

    I have no problem, version 1.3.8 is recognized, and everything goes smoothly.

    But if I try to launch it from the Plesk Panel, it simply does not start!!!

    Weird...

    (OK, to be complete, I tried it on a Plesk 8.6 server, but I doubt it would go any better on another version of Plesk.)
     
Loading...